apiVersion: v1
kind: Service
metadata:
  name: {{ template "fullname" . }}
  labels:
    app: {{ template "fullname" . }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
    release: "{{ .Release.Name }}"
    heritage: "{{ .Release.Service }}"
spec:
  selector:
    name: {{ template "fullname" . }}
  ports:
    - name: ssh
      port: 22
      targetPort: ssh
    {{- if .Values.mattermostEnable }}
    - name: mattermost
      port: 8065
      targetPort: mattermost
    {{- end }}
    - name: registry
      port: 8105
      targetPort: registry
    - name: workhorse
      port: 8005
      targetPort: workhorse
    {{- if .Values.prometheusEnable }}
    - name: prometheus
      port: 9090
      targetPort: prometheus
    {{- end }}
    - name: pages
      port: 8090
      targetPort: pages
    - name: gitaly
      port: 8075
      targetPort: 8075
